For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
      • POSTCreate a new Relay Proxy config
      • DELDelete Relay Proxy config by ID
      • GETGet Relay Proxy config
      • GETList Relay Proxy configs
      • POSTReset Relay Proxy configuration key
      • PATCHUpdate a Relay Proxy config
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewRelay Proxy Configurations

Create a new Relay Proxy config

POST
/api/v2/account/relay-auto-configs
POST
/api/v2/account/relay-auto-configs
$curl -X POST https://app.launchdarkly.com/api/v2/account/relay-auto-configs \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Sample Relay Proxy config for all proj and env",
> "policy": [
> {
> "effect": "allow",
> "resources": [
> "proj/*:env/*"
> ],
> "actions": [
> "*"
> ]
> }
> ]
>}'
1{
2 "_id": "12ab3c45de678910abc12345",
3 "name": "Relay Proxy Demo Config",
4 "policy": [
5 {
6 "effect": "allow",
7 "resources": [
8 "proj/*:env/*;qa_*:/flag/*"
9 ],
10 "notResources": [
11 "string"
12 ],
13 "actions": [
14 "*"
15 ],
16 "notActions": [
17 "string"
18 ]
19 }
20 ],
21 "displayKey": "7f30",
22 "creationDate": 1628001602644,
23 "lastModified": 1628001602644,
24 "_creator": {
25 "_links": {
26 "self": {
27 "href": "/api/v2/members/569f183514f4432160000007",
28 "type": "application/json"
29 }
30 },
31 "_id": "569f183514f4432160000007",
32 "role": "admin",
33 "email": "ariel@acme.com",
34 "firstName": "Ariel",
35 "lastName": "Flores"
36 },
37 "_access": {
38 "denied": [
39 {
40 "action": "string",
41 "reason": {
42 "effect": "allow",
43 "resources": [
44 "proj/*:env/*;qa_*:/flag/*"
45 ],
46 "notResources": [
47 "string"
48 ],
49 "actions": [
50 "*"
51 ],
52 "notActions": [
53 "string"
54 ],
55 "role_name": "string"
56 }
57 }
58 ],
59 "allowed": [
60 {
61 "action": "string",
62 "reason": {
63 "effect": "allow",
64 "resources": [
65 "proj/*:env/*;qa_*:/flag/*"
66 ],
67 "notResources": [
68 "string"
69 ],
70 "actions": [
71 "*"
72 ],
73 "notActions": [
74 "string"
75 ],
76 "role_name": "string"
77 }
78 }
79 ]
80 },
81 "fullKey": "string"
82}
Create a Relay Proxy config.
Was this page helpful?
Previous

Delete Relay Proxy config by ID

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Request

This endpoint expects an object.
namestringRequired

A human-friendly name for the Relay Proxy configuration

policylist of objectsRequired

A description of what environments and projects the Relay Proxy should include or exclude. To learn more, read Write an inline policy.

Response

Relay auto config response
_idstring
The ID of the Relay Proxy configuration
namestring

A human-friendly name for the Relay Proxy configuration

policylist of objects
A description of what environments and projects the Relay Proxy should include or exclude
displayKeystring
The last few characters of the Relay Proxy configuration key, displayed in the LaunchDarkly UI
creationDatelong
Timestamp of when the Relay Proxy configuration was created
lastModifiedlong
Timestamp of when the Relay Proxy configuration was most recently modified
_creatorobject
Details on the member who created this Relay Proxy configuration
_accessobject
Details on the allowed and denied actions for this Relay Proxy configuration
fullKeystring
The Relay Proxy configuration key

Errors

400
Bad Request Error
401
Unauthorized Error
429
Too Many Requests Error